### Function

# EDataServer xmlhash_foreach_key_remove

#### Declaration [src]

    void
    e_xmlhash_foreach_key_remove (
      EXmlHash* hash,
      EXmlHashRemoveFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `g_hash_table_foreach_remove()` on `hash`‘s internal hash table. See `g_hash_table_foreach_remove()` for details.

#### Parameters

`hash`

  Type: `EXmlHash`

  An `EXmlHash`.

  The data is owned by the caller of the function.

`func`

  Type: `EXmlHashRemoveFunc`

  The `EXmlHashFunc` to execute on the data in `hash`.

`user_data`

  Type: `gpointer`

  The data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.